Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class InternalModule

    java.lang.Object
      org.apache.tapestry5.internal.services.InternalModule

    @Marker(value=Core.class)
    public class InternalModule

extends java.lang.Object

`TapestryModule` has gotten too complicated and it is nice to demarkate public (and stable) from internal (and volatile).

Constructor Summary
`InternalModule(RequestGlobals requestGlobals, InvalidationEventHub classesInvalidationEventHub)`

Method Summary
`static void` | `bind(ServiceBinder binder)` Bind all the private/internal services of Tapestry.
`static ActionRenderResponseGenerator` | `buildActionRenderResponseGenerator(boolean immediateMode, ObjectLocator locator)` Chooses one of two implementations, based on the configured mode.
`ComponentClassCache` | `buildComponentClassCache(ComponentClassCacheImpl service)`
`CookieSink` | `buildCookieSink()`
`CookieSource` | `buildCookieSource()`
`PageActivationContextCollector` | `buildPageActivationContextCollector(PageActivationContextCollectorImpl service)`
`PageLoader` | `buildPageLoader(PageLoaderImpl service, InvalidationEventHub templatesHub, InvalidationEventHub messagesHub)`
`PageSource` | `buildPageSource(PageSourceImpl service, InvalidationEventHub templatesHub, InvalidationEventHub messagesHub)`
`StringInterner` | `buildStringInterner(StringInternerImpl service)`
`static void` | `configureControlledPackagesFromComponentClassResolver(MappedConfiguration<java.lang.String,ControlledPackageType> configuration, ComponentClassResolver resolver)` Contributes packages identified by `ComponentClassResolver.getControlledPackageMapping()`.
`static void` | `contributeLinkSource(OrderedConfiguration<LinkCreationListener2> configuration)` Contributes: LinkDecoration (instance of `LinkDecorationListener`) Triggers events for notifications about links

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalModule

    public InternalModule(RequestGlobals requestGlobals,
                          @ComponentClasses
                          InvalidationEventHub classesInvalidationEventHub)

Method Detail

### bind

    public static void bind(ServiceBinder binder)

  Bind all the private/internal services of Tapestry.

### buildActionRenderResponseGenerator

    public static ActionRenderResponseGenerator buildActionRenderResponseGenerator(@Symbol(value="tapestry.suppress-redirect-from-action-requests")
                                                                                   boolean immediateMode,
                                                                                   ObjectLocator locator)

  Chooses one of two implementations, based on the configured mode.

### buildPageLoader

    public PageLoader buildPageLoader(@Autobuild
                                      PageLoaderImpl service,
                                      @ComponentTemplates
                                      InvalidationEventHub templatesHub,
                                      @ComponentMessages
                                      InvalidationEventHub messagesHub)

### buildPageSource

    public PageSource buildPageSource(@Autobuild
                                      PageSourceImpl service,
                                      @ComponentTemplates
                                      InvalidationEventHub templatesHub,
                                      @ComponentMessages
                                      InvalidationEventHub messagesHub)

### buildComponentClassCache

    public ComponentClassCache buildComponentClassCache(@Autobuild
                                                        ComponentClassCacheImpl service)

### buildCookieSource

    public CookieSource buildCookieSource()

### buildCookieSink

    public CookieSink buildCookieSink()

### buildPageActivationContextCollector

    public PageActivationContextCollector buildPageActivationContextCollector(@Autobuild
                                                                              PageActivationContextCollectorImpl service)

### buildStringInterner

    public StringInterner buildStringInterner(@Autobuild
                                              StringInternerImpl service)

  Since:
    5.1.0.0

### contributeLinkSource

    public static void contributeLinkSource(OrderedConfiguration<LinkCreationListener2> configuration)

  Contributes:
  LinkDecoration (instance of `LinkDecorationListener`)
    Triggers events for notifications about links

    Since:
      5.2.0

  ### configureControlledPackagesFromComponentClassResolver

      @Contribute(value=ComponentInstantiatorSource.class)
      public static void configureControlledPackagesFromComponentClassResolver(MappedConfiguration<java.lang.String,ControlledPackageType> configuration,
                                                                                                                                ComponentClassResolver resolver)

    Contributes packages identified by `ComponentClassResolver.getControlledPackageMapping()`.

    Since:
      5.3

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003-2012 The Apache Software Foundation.